### Method

# Gtk.RecentManager.move_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_move_item (
      GtkRecentManager* manager,
      const char* uri,
      const char* new_uri,
      GError** error
    )

#### Description [src]

Changes the location of a recently used resource from `uri` to `new_uri`.

Please note that this function will not affect the resource pointed by the URIs, but only the URI used in the recently used resources list.

#### Parameters

`uri` | `const char*`
| the URI of a recently used resource
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`new_uri` | `const char*`
| the new URI of the recently used resource, or `NULL` to remove the item pointed by `uri` in the list
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` on success